#requires -version 2.0

# Jeffery Hicks
# http://jdhitsolutions.com/blog
# follow on Twitter: http://twitter.com/JeffHicks
#
# Learn more with a copy of Windows PowerShell 2.0: TFM (SAPIEN Press 2010)
#
# "Those who forget to script are doomed to repeat their work."

#  ****************************************************************
#  * DO NOT USE IN A PRODUCTION ENVIRONMENT UNTIL YOU HAVE TESTED *
#  * THOROUGHLY IN A LAB ENVIRONMENT. USE AT YOUR OWN RISK.  IF   *
#  * YOU DO NOT UNDERSTAND WHAT THIS SCRIPT DOES OR HOW IT WORKS, *
#  * DO NOT USE IT OUTSIDE OF A SECURE, TEST SETTING.             *
#  ****************************************************************

dir $psScriptRoot\ -filter "*.ps1" -recurse  | foreach {
    Write-Host "Loading $($_.name)" -ForegroundColor Green
     #dot source each file
    . $_.fullname
}

####################################################
#define some aliases
Set-Alias -Name gwu -Value Get-WindowsUpdate
Set-Alias -Name iwu -Value Install-WindowsUpdate
Set-Alias -Name gwul -Value Get-WindowsUpdateLog
Set-Alias -Name cwul -value Clear-WindowsUpdateLog
Set-Alias -name bwul -Value Backup-WindowsUpdateLog

Export-ModuleMember -Alias * -Function * 

